FROM debian:stretch
LABEL maintainer="Yaltik - Fabien Bourgeois <fabien@yaltik.com>"

ENV SOURCE="/var/lib/docker/volumes" DEST="/var/backups/"
RUN apt-get update && apt-get install --no-install-recommends -y \
      cron gettext-base rsync ssh sshpass python-minimal libpython-stdlib && \
      apt-get clean && rm -rf /var/lib/apt/lists/*

# Avoid overlayfs bug with tail
VOLUME /var/log

WORKDIR /opt/backup
COPY crontab ./crontab
COPY rsync.template .
COPY plan.py .
COPY remote.py .
COPY launch.sh .

CMD ["bash", "launch.sh"]
